IOSS 2.0

Static Public Member Functions | Private Member Functions | List of all members
Ioad::IOFactory Class Reference

`#include <Ioad_IOFactory.h>`

Inheritance diagram for Ioad::IOFactory:
[legend]
Collaboration diagram for Ioad::IOFactory:
[legend]

## Static Public Member Functions
static const IOFactory * | factory ()
Static Public Member Functions inherited from Ioss::IOFactory
static DatabaseIO * | create (const std::string &type, const std::string &filename, DatabaseUsage db_usage, MPI_Comm communicator=MPI_COMM_WORLD, const Ioss::PropertyManager &properties=Ioss::PropertyManager())
| Create an IO database. More...
static int | describe (NameList *names)
| Get the names of database formats known to IOSS. More...
static void | clean ()
| Empty method. More...
static void | show_configuration ()

## Private Member Functions
| IOFactory ()
Ioss::DatabaseIO * | make_IO (const std::string &filename, Ioss::DatabaseUsage db_usage, MPI_Comm communicator, const Ioss::PropertyManager &properties) const override
void | show_config () const override

## Additional Inherited Members
Public Member Functions inherited from Ioss::IOFactory
virtual | ~IOFactory ()=default
Protected Member Functions inherited from Ioss::IOFactory
| IOFactory (const std::string &type)
Static Protected Member Functions inherited from Ioss::IOFactory
static void | alias (const std::string &base, const std::string &syn)

## Constructor & Destructor Documentation

## ◆ IOFactory()

Ioad::IOFactory::IOFactory | ( |  | ) |
| private

## Member Function Documentation

## ◆ factory()

const IOFactory * Ioad::IOFactory::factory | ( |  | ) |
| static

## ◆ make_IO()

Ioss::DatabaseIO * Ioad::IOFactory::make_IO | ( | const std::string & | filename,
|  | Ioss::DatabaseUsage | db_usage,
|  | MPI_Comm | communicator,
|  | const Ioss::PropertyManager & | properties
| ) |  | const
| override private virtual

Implements Ioss::IOFactory.

## ◆ show_config()

void Ioad::IOFactory::show_config | ( |  | ) | const
| override private virtual

Reimplemented from Ioss::IOFactory.

The documentation for this class was generated from the following files:

- src/adios/Ioad_IOFactory.h
- src/adios/Ioad_IOFactory.C